<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="BTS-CaConfig.xsl"/>

<xsl:template match="/">
  <xsl:call-template name="generate-code"/>
  <xsl:apply-templates select="CA_CONFIG"/>
</xsl:template>

<xsl:template name="generate-code">
<div style="margin-left:20px;font-size:8pt">
  <table border="0" width="95%" style="font-size:8pt">
    <tr align="right">
    <td>
        <form name="select">
          <input type="hidden" name="xmlFile" value="{$xmlFile}"/>
          <input type="hidden" name="component" value="{$component}"/>
          <input type="button" value="Generate Code"
                 style="font-family: verdana; font-size: 12px;"
                 onclick="generateCode(getCaConfigParameters())"/>
        </form>
      </td>
    </tr>
  </table>
</div>
</xsl:template>

<xsl:template match="TYPE">
  <tr bgColor='lightyellow'>
    <td>
      <xsl:if test="not(@status!='')">	
		<xsl:value-of select="@name"/>
      </xsl:if>
      <xsl:if test="@status!=''">   
        <font color='red'><xsl:value-of select="@name"/></font>
      </xsl:if>
    </td>
    <td>
      <table border="0" width="100%" style="font-size:8pt">
        <xsl:call-template name="status"/>
        <xsl:apply-templates select="DESCRIPTION"/>
        <xsl:apply-templates select="STRING|INTEGER|DIGITS|BOOLEAN"/>
        <xsl:apply-templates select="DEFAULT_VALUE"/>
        <xsl:apply-templates select="FOREIGN_KEY"/>
        <xsl:apply-templates select="CHANGE_HISTORY"/>
      </table>
    </td>
  </tr>
</xsl:template>

<xsl:template match="DESCRIPTION">
  <xsl:if test="current()!=''">
    <tr>
      <td width="150"><b>Description: </b></td>
      <td>
        <xsl:call-template name="break">
          <xsl:with-param name="text" select="current()"/>
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>

<xsl:template match="CHANGE_HISTORY">
  <xsl:if test="current()!=''">
    <tr>
      <td width="150"><b>Change History: </b></td>
      <td>
        <xsl:call-template name="break">
          <xsl:with-param name="text" select="current()"/>
        </xsl:call-template>
      </td>
    </tr>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>

