<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
  <xsl:for-each select="HELP/HEADING">
    <H3><A href="#{current()}"><xsl:value-of select="current()"/></A></H3>
  </xsl:for-each>
  <xsl:apply-templates select="HELP"/>
</xsl:template>

<xsl:template match="HEADING">
  <P/><HR/>
  <H3 id="{current()}"><xsl:value-of select="current()"/></H3>
</xsl:template>

<xsl:template match="DESCRIPTION">
  <xsl:value-of select="current()"/><br/>
</xsl:template>

<xsl:template match="EXAMPLE">
  <dl><dd><b><xsl:value-of select="current()"/></b></dd></dl>
</xsl:template>

<xsl:template match="TABLE">
  <table border="1" width="95%" style="font-size:8pt">
    <thead bgColor='lightyellow'>
      <xsl:for-each select="ROW/TH">
        <th><b><xsl:value-of select="current()"/></b></th>
      </xsl:for-each>
    </thead>
    <xsl:apply-templates select="ROW"/>
  </table>
</xsl:template>

<xsl:template match="ROW">
  <tr>
  <xsl:for-each select="CELL">
    <td><xsl:value-of select="current()"/></td>
   </xsl:for-each>
  </tr>
</xsl:template>

<xsl:template match="CELL">
  <dl><dd><b><xsl:value-of select="current()"/></b></dd></dl>
</xsl:template>

</xsl:stylesheet>
